Package com.smartgwt.client.widgets

# Class ImgHTMLProperties

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.widgets.ImgHTMLProperties

All Implemented Interfaces:
  `HasHandlers`

Direct Known Subclasses:
  `ImgProperties`

public class ImgHTMLProperties extends DataClass
A set of properties that define settings for use in image HTML.

At minimum, an `ImgHTMLProperties` object should include a src and, in most cases, width and height properties in order to render in a controlled manner.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ImgHTMLProperties()`
  `ImgHTMLProperties(JavaScriptObject jsObj)`
  `ImgHTMLProperties(String src, int width, int height)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getEventStuff()`
  Specifies the additional event-related attributes to write in the tag.
  `String`
  `getExtraStuff()`
  Specifies the additional attributes to write in the tag.
  `Integer`
  `getHeight()`
  Specifies the height of the image.
  `String`
  `getImgDir()`
  Specifies the image-specific image directory to override the default.
  `String`
  `getName()`
  Specifies the name of the image.
  `static ImgHTMLProperties`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `String`
  `getSrc()`
  Specifies the URL of the image local to the skin or application directory.
  `Integer`
  `getWidth()`
  Specifies the width of the image.
  `ImgHTMLProperties`
  `setEventStuff(String eventStuff)`
  Specifies the additional event-related attributes to write in the tag.
  `ImgHTMLProperties`
  `setExtraStuff(String extraStuff)`
  Specifies the additional attributes to write in the tag.
  `ImgHTMLProperties`
  `setHeight(Integer height)`
  Specifies the height of the image.
  `ImgHTMLProperties`
  `setImgDir(String imgDir)`
  Specifies the image-specific image directory to override the default.
  `ImgHTMLProperties`
  `setName(String name)`
  Specifies the name of the image.
  `ImgHTMLProperties`
  `setSrc(String src)`
  Specifies the URL of the image local to the skin or application directory.
  `ImgHTMLProperties`
  `setWidth(Integer width)`
  Specifies the width of the image.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ImgHTMLProperties

    public ImgHTMLProperties()

  - ### ImgHTMLProperties

    public ImgHTMLProperties(JavaScriptObject jsObj)

  - ### ImgHTMLProperties

    public ImgHTMLProperties(String src, int width, int height)

- ## Method Details

  - ### getOrCreateRef

    public static ImgHTMLProperties getOrCreateRef(JavaScriptObject jsObj)

  - ### setEventStuff

    public ImgHTMLProperties setEventStuff(String eventStuff)
    Specifies the additional event-related attributes to write in the tag.
    Parameters:
      `eventStuff` - New eventStuff value. Default value is null
    Returns:
      `ImgHTMLProperties` instance, for chaining setter calls
    See Also:
      - `setExtraStuff(java.lang.String)`

  - ### getEventStuff

    public String getEventStuff()
    Specifies the additional event-related attributes to write in the tag.
    Returns:
      Current eventStuff value. Default value is null
    See Also:
      - `getExtraStuff()`

  - ### setExtraStuff

    public ImgHTMLProperties setExtraStuff(String extraStuff)
    Specifies the additional attributes to write in the tag. Event-related attributes should be added to `eventStuff` instead to guarantee proper behavior when using SVG via regular .svg image files.
    Parameters:
      `extraStuff` - New extraStuff value. Default value is null
    Returns:
      `ImgHTMLProperties` instance, for chaining setter calls

  - ### getExtraStuff

    public String getExtraStuff()
    Specifies the additional attributes to write in the tag. Event-related attributes should be added to `eventStuff` instead to guarantee proper behavior when using SVG via regular .svg image files.
    Returns:
      Current extraStuff value. Default value is null

  - ### setHeight

    public ImgHTMLProperties setHeight(Integer height)
    Specifies the height of the image.
    Parameters:
      `height` - New height value. Default value is null
    Returns:
      `ImgHTMLProperties` instance, for chaining setter calls

  - ### getHeight

    public Integer getHeight()
    Specifies the height of the image.
    Returns:
      Current height value. Default value is null

  - ### setImgDir

    public ImgHTMLProperties setImgDir(String imgDir)
    Specifies the image-specific image directory to override the default.
    Parameters:
      `imgDir` - New imgDir value. Default value is null
    Returns:
      `ImgHTMLProperties` instance, for chaining setter calls
    See Also:
      - `URL`

  - ### getImgDir

    public String getImgDir()
    Specifies the image-specific image directory to override the default.
    Returns:
      Current imgDir value. Default value is null
    See Also:
      - `URL`

  - ### setName

    public ImgHTMLProperties setName(String name)
    Specifies the name of the image. This is an identifier unique to the canvas, and subsequent calls to ``Canvas.getImage()`` and ``Canvas.setImage()`` with this name will act on the image object created using this `ImgHTMLProperties` object.
    Parameters:
      `name` - New name value. Default value is null
    Returns:
      `ImgHTMLProperties` instance, for chaining setter calls

  - ### getName

    public String getName()
    Specifies the name of the image. This is an identifier unique to the canvas, and subsequent calls to ``Canvas.getImage()`` and ``Canvas.setImage()`` with this name will act on the image object created using this `ImgHTMLProperties` object.
    Returns:
      Current name value. Default value is null

  - ### setSrc

    public ImgHTMLProperties setSrc(String src)
    Specifies the URL of the image local to the skin or application directory.
    Parameters:
      `src` - New src value. Default value is null
    Returns:
      `ImgHTMLProperties` instance, for chaining setter calls
    See Also:
      - `URL`

  - ### getSrc

    public String getSrc()
    Specifies the URL of the image local to the skin or application directory.
    Returns:
      Current src value. Default value is null
    See Also:
      - `URL`

  - ### setWidth

    public ImgHTMLProperties setWidth(Integer width)
    Specifies the width of the image.
    Parameters:
      `width` - New width value. Default value is null
    Returns:
      `ImgHTMLProperties` instance, for chaining setter calls

  - ### getWidth

    public Integer getWidth()
    Specifies the width of the image.
    Returns:
      Current width value. Default value is null